tigase.stats

## Enum StatisticType

- java.lang.Object
- - java.lang.Enum<StatisticType>
  - - tigase.stats.StatisticType

- All Implemented Interfaces:
    Serializable, Comparable<StatisticType>

      public enum StatisticType
      extends Enum<StatisticType>

  Describe class StatisticType here.
  Created: Wed Nov 23 21:20:20 2005
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IN_QUEUE_OVERFLOW`
    `MAX_QUEUE_SIZE`
    `MSG_RECEIVED_OK`
    `MSG_SENT_OK`
    `OTHER`
    `OUT_QUEUE_OVERFLOW`
    `QUEUE_WAITING`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()`
    `static StatisticType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static StatisticType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### QUEUE_WAITING

          public static final StatisticType QUEUE_WAITING

    - #### MAX_QUEUE_SIZE

          public static final StatisticType MAX_QUEUE_SIZE

    - #### MSG_RECEIVED_OK

          public static final StatisticType MSG_RECEIVED_OK

    - #### MSG_SENT_OK

          public static final StatisticType MSG_SENT_OK

    - #### IN_QUEUE_OVERFLOW

          public static final StatisticType IN_QUEUE_OVERFLOW

    - #### OUT_QUEUE_OVERFLOW

          public static final StatisticType OUT_QUEUE_OVERFLOW

    - #### OTHER

          public static final StatisticType OTHER

  - ### Method Detail

    - #### values

          public static StatisticType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StatisticType c : StatisticType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StatisticType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getDescription

          public String getDescription()

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.